﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using System.IO;

namespace 打开程序
{
    public partial class Form1 : Form
    {
       private  Rectangle rect = System.Windows.Forms.SystemInformation.VirtualScreen;
        public Form1()
        {
            InitializeComponent();
            this.Left = rect.Width - 240;
            this.Top = 40;
        }

        private void notifyIcon1_DoubleClick(object sender, EventArgs e)
        {
            if (this.WindowState == FormWindowState.Minimized)
            {
                this.WindowState = FormWindowState.Normal;
                this.ShowInTaskbar = true;
            }
        }

        private void Form1_SizeChanged(object sender, EventArgs e)
        {
            if (this.WindowState == FormWindowState.Minimized)
            {
                this.ShowInTaskbar = false; //不显示在系统任务栏
            }
        }

        private void 关闭ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
            Application.Exit();
        }


        private void Form1_MouseLeave(object sender, EventArgs e)
        {
            this.Left = rect.Width - 240;
            this.Top = 40;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            AutoCompleteStringCollection strings = new AutoCompleteStringCollection();
            string []files = Directory.GetFiles(@"D:\启动");
            foreach (string file in files) strings.Add(Path.GetFileNameWithoutExtension(file));
            textBoxCmdName.AutoCompleteCustomSource = strings;
            textBoxCmdName.AutoCompleteSource = AutoCompleteSource.CustomSource;
            textBoxCmdName.AutoCompleteMode = AutoCompleteMode.Suggest;

        }

        private void textBoxCmdName_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                try
                {
                    System.Diagnostics.Process.Start(textBoxCmdName.Text);
                }
                catch { }
            }
        }


    }
}